/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-19 11:52:09
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-24 16:32:39
 */
#ifndef __APOLLOYAMA_HPP_
#define __APOLLOYAMA_HPP_

#include "K8sServerBase.hpp"


class ApolloKsWorkloadTemplate:public MsgBase
{
public:
    int WORKLOADTEMPLATEID;
    int APOLLONAMESPACEID;
    std::string data;
    int AIID;
    int USERID;
    
public:
    ApolloKsWorkloadTemplate(){}
    ~ApolloKsWorkloadTemplate(){}

    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;

    /**
     * @description: ObjectToSql
     * @param {string&} sql
     * @return {*}
     */    
    bool ObjectToSql(std::string& sql) override;
};


#endif